Re: Compile Ruby 1.8.4 on HP-UX 11


#1

Thanks. I instilled gcc and ran configure. It received and error, so I
checked the config.log and found this:

gcc version 4.1.0
configure:1972: $? = 0
configure:1974: gcc -V </dev/null >&5
gcc: ‘-V’ option must have argument
configure:1977: $? = 1
configure:2000: checking for C compiler default output file name
configure:2003: gcc conftest.c >&5
ld: I/O error, file “unix98.o”: No such file or directory
Fatal error.

Any Suggestions?

-Chris


#2

I would have stuck with the tried-and-true gcc 3.4 series instead of the
more strict gcc 4.x series. I don’t know which gcc matz uses, but I
doubt
it’s 4.1.

That said, I think these links discuss the unix98.o linking problem:
http://devrsrc1.external.hp.com/STKT/impacts/i332.html
http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-talk/95163

To fix the linking problem I would try the following:

  1. revert to gcc 3.4.5
  2. add environmental variable definitions as specified in above links
  3. add ‘-L/usr/lib’ so gcc knows where unix98.o is located. Something
    like this:
    export LIBARY_PATH="/usr/lib:/usr/local/lib:/lib:."
  4. copy /usr/lib/unix98.o to your ruby compilation directory if all else
    fails.

The error at ‘configure:1974’ is inconsequential. The error at
‘configure:2003’
is important.

I’m sorry I don’t have access to an hp system to test any of this on.

-lv